Bug 155569 - rhn_check produces error when attempting to execute rpm removal
rhn_check produces error when attempting to execute rpm removal
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Connor
Beth Nackashi
:
: 153189 155722 (view as bug list)
Depends On:
Blocks: 155931 156322
  Show dependency treegraph
 
Reported: 2005-04-21 10:32 EDT by Justin Nemmers
Modified: 2014-03-30 21:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2005-711
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 13:14:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Nemmers 2005-04-21 10:32:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/312.1 (KHTML, like Gecko) Safari/312

Description of problem:
Some package removals scheduled by RHN (hosted or satellite) will fail when the system checks in.  

The client OS is RHEL 4 x86, latest up2date.  This is an easily reproducible issue.
 
There are some packages that will not cause the error upon execution of scheduled removal, but it is 
consistently repeatable with the package zsh.

Version-Release number of selected component (if applicable):
up2date-4.4.5.6-2

How reproducible:
Always

Steps to Reproduce:
1. Schedule package removal of zsh from a client system using RHN (hosted or satellite)
2. rhn_check -v from client machine
  

Actual Results:  [root@salsa ~]# rhn_check
packages.remove ([['zsh', '4.2.0', '3', '']],)
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 174, in run_action
    (status, message, data) = do_call(method, params)
  File "/usr/sbin/rhn_check", line 91, in do_call
    retval = apply(method, params)
  File "/usr/share/rhn/actions/packages.py", line 83, in remove
    up2date.removePackages(pkgList, rpmCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 1009, in removePackages
    runTransaction(ts,rpmCallback)
TypeError: runTransaction() takes at least 4 arguments (2 given)
packages.remove ([['zsh', '4.2.0', '3', '']],)

Expected Results:  rhn_check would have completed the removal of the zsh rpm.

Additional info:

This error was reproducable on several different RHEL 4 clients, as well as with events scheduled from 
RHN hosted as well as a 3.7 satellite.
Comment 1 Jason Connor 2005-04-22 11:28:32 EDT
*** Bug 155722 has been marked as a duplicate of this bug. ***
Comment 3 Adrian Likins 2005-05-13 14:08:26 EDT
*** Bug 153189 has been marked as a duplicate of this bug. ***
Comment 4 Adrian Likins 2005-05-13 14:22:21 EDT
fixed in 4.4.19
Comment 10 Beth Nackashi 2005-08-08 09:51:06 EDT
verified on i686 box running RHEL 4 U1 AS and up2date-4.4.36-4
Comment 12 Red Hat Bugzilla 2005-10-05 13:14:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-711.html

Note You need to log in before you can comment on or make changes to this bug.